SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000047: upstream proxy with authentication doesn't work - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000047Endian FirewallUncategorizedpublic2006-11-10 16:542007-01-02 07:53
Reporterzoomyz 
Assigned Tora-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2 
Target VersionFixed in Version2.1 
Summary0000047: upstream proxy with authentication doesn't work
DescriptionIf you use upstream proxy with username and password, it seems that user:pass was never been written to squid.conf file (it should be "cache_peer X.X.X.X blah blah... login=user:pass blah blah...").
I digged into advproxy.cgi and found something wrong. Staring form line 2999 or somewhere around, the variable $auth_info was then mistyped into $authinfo (or vice versa :D). Just adjust them into $auth_info then it worked.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000070)
zoomyz (reporter)
2006-11-10 16:55

Sorry for my bad English. :D
(0000073)
ra-endian (administrator)
2006-11-16 15:30

Thank you for the solution.

Is fixed in the next Release

- Issue History
Date Modified Username Field Change
2006-11-10 16:54 zoomyz New Issue
2006-11-10 16:55 zoomyz Note Added: 0000070
2006-11-16 15:26 ra-endian Status new => assigned
2006-11-16 15:26 ra-endian Assigned To => ra-endian
2006-11-16 15:30 ra-endian Status assigned => resolved
2006-11-16 15:30 ra-endian Fixed in Version => 2.1
2006-11-16 15:30 ra-endian Resolution open => fixed
2006-11-16 15:30 ra-endian Note Added: 0000073
2007-01-02 07:53 ra-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker